SpanPayloadCheckQuery.PayloadType (Lucene 10.5.0 queries API)
Description: declaration: package: org.apache.lucene.queries.payloads, class: SpanPayloadCheckQuery, enum: PayloadType

Package org.apache.lucene.queries.payloads

# Enum Class SpanPayloadCheckQuery.PayloadType

java.lang.Object
java.lang.Enum<SpanPayloadCheckQuery.PayloadType>
org.apache.lucene.queries.payloads.SpanPayloadCheckQuery.PayloadType

All Implemented Interfaces:
  `Serializable`, `Comparable<SpanPayloadCheckQuery.PayloadType>`, `Constable`

Enclosing class:
  `SpanPayloadCheckQuery`

public static enum SpanPayloadCheckQuery.PayloadType extends Enum<SpanPayloadCheckQuery.PayloadType>
The payload type. This specifies the decoding of the ByteRef for the payload.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FLOAT`
  FLOAT is a 4 byte payload decoded to a float(32bit).
  `INT`
  INT is for a 4 byte payload that is a packed integer
  `STRING`
  STRING is a UTF8 encoded string, decoded from the byte array

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SpanPayloadCheckQuery.PayloadType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SpanPayloadCheckQuery.PayloadType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INT

    public static final SpanPayloadCheckQuery.PayloadType INT
    INT is for a 4 byte payload that is a packed integer

  - ### FLOAT

    public static final SpanPayloadCheckQuery.PayloadType FLOAT
    FLOAT is a 4 byte payload decoded to a float(32bit).

  - ### STRING

    public static final SpanPayloadCheckQuery.PayloadType STRING
    STRING is a UTF8 encoded string, decoded from the byte array

- ## Method Details

  - ### values

    public static SpanPayloadCheckQuery.PayloadType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SpanPayloadCheckQuery.PayloadType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null